.catalog {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    margin-top: 24px;
}

.catalog__title {
    font-size: 40px;
    font-weight: 400;
    line-height: 46.88px;
    color: #0D1F2D;
}

.catalog__content {
    display: flex;
    gap: 63px;
    width: 100%;
}

.catalog__sidebar {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.catalog__sidebar--link {
    font-size: 16px;
    font-weight: 700;
    line-height: 20.8px;
    color: var(--black);
    cursor: pointer;
    text-transform: uppercase;
    position: relative;
    display: block;
    width: 100%;
}

.catalog__sidebar--item.has-dropdown .catalog__sidebar--link::after {
    content: '+';
    font-size: 30px;
    font-weight: 300;
    color: var(--black);
    position: absolute;
    right: 0;
}

.catalog__sidebar--item.has-dropdown.active .catalog__sidebar--link::after {
    content: '-';
}

.catalog__sidebar {
    width: 311px;
}

.catalog__items--header {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.catalog__items {
    width: calc(100% - 374px);
    display: flex;
    flex-direction: column;
    gap: 40px;
}

.catalog__sidebar--dropdown {
    display: none;
    flex-direction: column;
    gap: 16px;
    padding-left: 16px;
    margin-top: 16px;
}

.catalog__sidebar--item.has-dropdown.active .catalog__sidebar--dropdown {
    display: flex;
}

.catalog__sidebar--dropdown-item {
    transition: transform var(--transition);
}

.catalog__sidebar--dropdown-item a {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black3);
    text-transform: uppercase;
}

.catalog__sidebar--dropdown-item:hover {
    transform: translateX(10px);
}

.reset-filters,
.only-on-stock {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 195px;
}

.only-on-stock {
    background-color: var(--gray);
    padding: 13px 16px;
}

.reset-filters span,
.only-on-stock span {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
}

.only-on-stock span {
    color: var(--black);
}

.reset-filters span {
    color: white;
}

.rotate-animation {
    animation: rotate 0.7s ease-in-out;
}

@keyframes rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

.reset-filters {
    padding: 17px 16px;
    background-color: var(--brown);
    cursor: pointer;
}

.reset-filters img {
    transition: transform 0.7s ease-in-out;
}

.catalog__items--filters {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
}

.catalog__items--sorting {
    display: flex;
    align-items: center;
    gap: 40px;
}

.catalog__items--sorting p,
.catalog__items--sorting span {
    font-size: 16px;
    font-weight: 400;
    line-height: 32px;
    color: var(--black);
}

.catalog__items--sorting p {
    color: var(--black3);
}

.sort__item {
    color: var(--black);
    position: relative;
    cursor: pointer;
}

.sort__item::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 100%;
    background-image: url(../assets/icons/arrow.svg);
    width: 32px;
    height: 32px;
    background-repeat: no-repeat;
    background-position: center;
    transition: transform var(--transition);
}

.sort__item.active::after {
    background-image: url(../assets/icons/arrow-brown.svg);
}

.sort__item.rotate::after {
    transform: rotate(180deg);
}

.catalog__items--sort-by-count {
    margin-left: 32px;
}

.catalog__items--content {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-template-rows: repeat(32, 1fr);
    column-gap: 24px;
    row-gap: 88px;
}

.catalog__item--bootom-info {
    cursor: pointer;
    display: flex;
    flex-direction: column;
    gap: 5px;
    position: absolute;
    bottom: -45px;
}

.catalog__item--bootom-info p {
    font-size: 14px;
    font-weight: 300;
    line-height: 21px;
    color: var(--black2);
}

.catalog__item--bootom-info span {
    font-size: 12px;
    font-weight: 300;
    line-height: 15.6px;
    color: var(--black3);
}

.catalog__item--content {
    position: relative;
    overflow: hidden;
    height: 100%;
    cursor: pointer;
}

.catalog__item {
    position: relative;
}

.catalog__item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.catalog__item:nth-child(1) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
}

.catalog__item:nth-child(2) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 3;
}

.catalog__item:nth-child(3) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 5;
}

.catalog__item:nth-child(4) {
    grid-column: span 4 / span 4;
    grid-row: span 8 / span 8;
    grid-row-start: 5;
}

.catalog__item:nth-child(5) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 5;
    grid-row-start: 5;
}

.catalog__item:nth-child(6) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 5;
    grid-row-start: 9;
}

.catalog__item:nth-child(7) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-row-start: 13;
}

.catalog__item:nth-child(8) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 3;
    grid-row-start: 13;
}

.catalog__item:nth-child(9) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 5;
    grid-row-start: 13;
}

.catalog__item:nth-child(10) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-row-start: 17;
}

.catalog__item:nth-child(11) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 3;
    grid-row-start: 17;
}

.catalog__item:nth-child(12) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 5;
    grid-row-start: 17;
}

.catalog__item:nth-child(13) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-row-start: 21;
}

.catalog__item:nth-child(14) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 1;
    grid-row-start: 25;
}

.catalog__item:nth-child(15) {
    grid-column: span 4 / span 4;
    grid-row: span 8 / span 8;
    grid-column-start: 3;
    grid-row-start: 21;
}

.catalog__item:nth-child(16) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-row-start: 29;
}

.catalog__item:nth-child(17) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 3;
    grid-row-start: 29;
}

.catalog__item:nth-child(18) {
    grid-column: span 2 / span 2;
    grid-row: span 4 / span 4;
    grid-column-start: 5;
    grid-row-start: 29;
}

.catalog__item--info,
.catalog__item--price,
.catalog__item--sizes,
.catalog__item--sizes__item,
.catalog__item--sizes__item--title,
.catalog__item--sizes__item-content,
.catalog__item--sizes__item-sizes {
    display: flex;
}

.catalog__item--info,
.catalog__item--sizes,
.catalog__item--sizes__item {
    flex-direction: column;
}

.catalog__item--info {
    position: absolute;
    top: calc(100% - 31px);
    left: 0;
    width: 100%;
    transition: all var(--transition);
}

.catalog__item:hover .catalog__item--info {
    transform: translateY(calc(-100% + 31px));
}

.catalog__item--price {
    align-items: center;
    gap: 10px;
    padding: 5px;
    background-color: white;
    width: fit-content;
}

.catalog__item--price p {
    font-size: 14px;
    font-weight: 300;
    line-height: 21px;
}

.catalog__item--old-price {
    text-decoration: line-through;
}

.catalog__item--old-price {
    color: #506178;
}

.catalog__item--new-price {
    color: var(--black2);
}

.catalog__item--discount {
    color: var(--red);
}

.catalog__item--sizes {
    background-color: white;
    padding: 16px;
    gap: 16px;
}

.catalog__item--sizes__item-content,
.catalog__item--sizes__item--title {
    align-items: center;
    justify-content: space-between;
}

.catalog__item--sizes__item-tall,
.catalog__item--sizes__item-sizes span,
.catalog__item--sizes__item--title p {
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}

.catalog__item--sizes__item-tall,
.catalog__item--sizes__item--title p {
    color: var(--black3);
}

.catalog__item--sizes__item {
    gap: 4px;
}

.catalog__item--sizes__item-sizes {
    align-items: center;
    gap: 16px;
    flex-wrap: wrap;
}

.catalog__item--sizes__item-sizes span {
    color: var(--black);
}

#catalog-pagination {
    margin-top: 40px;
}

.mobile-filter__head {
    display: none;
    align-items: center;
    justify-content: space-between;
    padding: 16px;
    border-bottom: 1px solid #EEEEEE;
}

.mobile-filter__head p {
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    color: var(--black);
}

.mobile-filter__head span {
    cursor: pointer;
    width: 44px;
    height: 44px;
    padding: 13.5px;
    content: url(../assets/icons/cross.svg);
    background-color: var(--brown);
}

.mobile-filter-controls {
    display: none;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    padding: 12px 16px;
    width: 100%;
    border-top: 1px solid #EEEEEE;
    background-color: white;
    position: absolute;
    bottom: 0;
    left: 0;
}

.mobile-filter-controls button {
    padding: 13px;
    font-size: 14px;
    font-weight: 400;
    line-height: 18.2px;
    width: 50%;
    border: 1px solid var(--black);
}

.mobile-filter-controls__reset {
    color: var(--black);
    background-color: white;
}

.mobile-filter-controls__applay {
    color: white;
    background-color: var(--black);
}

.mobile-catalog-title {font-size: 14px;}